; (function ($) {
    $.attendmanageI18n = $.attendmanageI18n || {};
    $.extend($.attendmanageI18n, {
    	atsResultDynamicCommon: {
    		title: '重新計算',
    		btn_text1: '確認',
        	btn_text2: '關閉',
        	text1: '是否重新取卡',
        	text2: '計算當前時間未下班的考勤',
        	text3: '開始時間',
        	text4: '結束時間',
        	text5: '請假單',
        	text6: '出差單',
        	text7: '加班單',
        	text8: '補簽卡',
        	text9: '请假確認单',
        	text10: '出差變更单',
        	text11: '未參與計算單據',
        	text12: '考勤計算',
        	text13: '請假時段',
        	text14: '至',
        	text15: '導出',
        	text16: '導出选中',
        	text17: '導出全部',
        	msg1: '您提交的計算量超過了15000人天，計算時間可能會較長，是否繼續？',
        	msg2: '您已有{0}个考勤計算任务正在运行，如果继续操作需要排队等待上一个任务完成后开始运行，是否继续？',
        	msg3: '您已有{0}个考勤計算任务正在运行，如果继续操作需要排队等待前面的任务完成后开始运行，建议您稍后再提交，是否继续？',
        	msg4: '考勤計算開始日期不能大於結束日期！',
        	msg5: '考勤計算開始日期和結束日期不在当前周期范围内！'
    	},
    	atsResultOneDayDetail: {
    		text1: '考勤記錄',
    		text2: '審核',
    		text3: '反審核',
    		text4: '保存',
    		text5: '取消',
    		text6: '返回',
    		text7: '當前狀態 ：',
    		text8: '打卡記錄',
    		text9: '没有打卡記錄',
    		text10: '曠工情況',
    		text11: '早退情況',
    		text12: '請假信息',
    		text13: '出差信息',
    		text14: '加班信息',
    		text15: '維護更多信息',
    		text16: '計算',
    		text17: '應出勤時間',
    		text18: '默認班次',
    		text20: '當前沒有考勤明細',
    		text21: '無',
    		text22: '值:',
    		text23: '審核',
    		text24: '第 {0} 行與第 {1} 考勤名稱相同',
    		text25: '成功',
    		text26: '当前狀態：已審核',
    		text27: '当前狀態：已計算',
    		text28: '計算成功！',
    		text29: '計算失败！',
    		text30: '項目',
    		text31: '年',
    		text32: '明細',
    		text33: '編輯',
    		text34: '保存',
    		text35: '取消',
    		text36: '周日',
    		text37: '周一',
    		text38: '周二',
    		text39: '周三',
    		text40: '周四',
    		text41: '周五',
    		text42: '周六',
    		text43: '1月',
    		text44: '2月',
    		text45: '3月',
    		text46: '4月',
    		text47: '5月',
    		text48: '6月',
    		text49: '7月',
    		text50: '8月',
    		text51: '9月',
    		text52: '10月',
    		text53: '11月',
    		text54: '12月',
    		text55: '考勤計算',
    		text56: '遲到情況',
    		msg:'保存成功！',
    		text57: '員工未確認考勤,審核失敗！'
    	},
    	atsResultCalBill: {
    		title1: '請假單',
    		title2: '補簽卡',
    		title3: '出差單',
    		title4: '加班單',
    		msg1: '請先選中表格中的數據!',
    		msg2: '请选择同一个业务组织的人员考勤明細进行操作！',
    		msg3: '{0}在{1}的假期业务组织与当前补提单据的假期业务组织【{2}】不一致,不能请假，请到請假單中单独处理！'
    	},
    	jqtimeline: {
    		month1: '1月',
    		month2: '2月',
    		month3: '3月',
    		month4: '4月',
    		month5: '5月',
    		month6: '6月',
    		month7: '7月',
    		month8: '8月',
    		month9: '9月',
    		month10: '10月',
    		month11: '11月',
    		month12: '12月',
    		text1: '至',
    		text2: '請假說明：',
    		text3: '狀態：',
    		text4: '申請日期：',
    		text5: '点击右侧關閉 :'
    	},
    	atsBillUtil: {
    		msg1: '只能刪除未提交狀態的數據，請選中表格中未提交的數據!',
    		msg2: '請先選中行！',
    		msg3: '請選中一行！',
    		msg4: '只能撤回未審批的單據',
    		msg5: '已经进入审批流程，是否確認要撤回？',
    		msg6: '撤回成功' 		
    	},
    	atsCommonUtile: {
    		weekday1: '日',
    		weekday2: '一',
    		weekday3: '二',
    		weekday4: '三',
    		weekday5: '四',
    		weekday6: '五',
    		weekday7: '六',
    		alias1: '當天',
    		alias2: '明天',
    		alias3: '本周',
    		alias4: '最近一周',
    		alias5: '上周',
    		alias6: '下周',
    		alias7: '未來一周',
    		alias8: '本月',
    		alias9: '最近半月',
    		alias10: '最近一月',
    		alias11: '最近三月',
    		alias12: '上月',
    		alias13: '下月',
    		alias14: '未來一月',
    		alias15: '未來兩月',
    		alias16: '未來三月',
    		alias17: '最近半年',
    		alias18: '上半年',
    		alias19: '下半年',
    		alias20: '本年度',
    		alias21: '上年度',
    		alias22: '本季度',
    		alias23: '上季度',
    		alias24: '自定義',
    		alias25: '服務端數據',
    		alias26: '顯示不常用數據',
    		alias27: '順延',
    		alias28: '替換',
    		alias29: '不替換',
    		alias30: '一段班',
    		alias31: '兩段班',
    		alias32: '三段班',
            alias33: '替換(關聯班次)',
    		msg1: '為空',
    		msg2: '格式錯誤',
    		msg3: '當月不存在這一天',
    		msg4: '日期非法',
    		msg5: '不能小於',
    		msg6: '不能大於',
    		msg7: '開始日期',
    		msg8: '結束日期',
    		msg9: '{0}和{1}之間的時間間隔不能超過{2}個月!',
    		msg10: '{0}和{1}之間的時間間隔不能超過',
    		msg11: '毫秒',
    		msg12: '天',
    		msg13: '小時',
    		msg14: '分鐘',
    		msg15: '秒',
    		msg16: '通用F7',
    		msg17: '多選請使用用逗號分隔',
    		msg18: '創建下拉框參數有誤!',
    		msg19: '錯誤參數:',
    		like: '包含',
    		not_like: '不包含',
    		equal: '等於',
    		not_equal: '不等於',
    		gt: '大於',
    		lt: '小於',
    		gt_or_eq: '大於等於',
    		lt_or_eq: '小於等於',
    		yes: '是',
    		no: '否',
    		text1: '順延排班指法定节假日结束后的第一天排班将从法定节假日开始的前一天的班次的下一个班次开始',
    		text2: '替換排班指系统将按原有规则排班,将法定节假日那几天的日期类型替換成法定节假日，不设置班次信息。',
    		text3: '不替換排班指系统将按原有规则排班,而且法定节假日當天仍然按原规则排班',
    		text4: '搜索',
            text5: '替換（關聯班次）排班指系統將按原有規則排班,將法定節假日那幾天的日期類型替換成法定節假日，原排班關聯班次不變。如果替換前是休息日沒有班次，除了日期類型替換出法定假日外，班次要關聯上檔案的默認班次。'
    	},
    	calandarWorkShift: {
    		weekday1: '周日',
    		weekday2: '周一',
    		weekday3: '周二',
    		weekday4: '周三',
    		weekday5: '周四',
    		weekday6: '周五',
    		weekday7: '周六',
    		month1: '1月',
    		month2: '2月',
    		month3: '3月',
    		month4: '4月',
    		month5: '5月',
    		month6: '6月',
    		month7: '7月',
    		month8: '8月',
    		month9: '9月',
    		month10: '10月',
    		month11: '11月',
    		month12: '12月',
    		year: '年',
    		msg1: '班次信息錯誤：',
    		msg2: '加載中...'
    	},
    	listWorkShift: {
    		msg1: '讀取中，請耐心等待...',
    		msg2: '排班数据為空!',
    		msg3: '刪除中...',
    		col1: '員工編碼',
    		col2: '姓名',
    		col3: '考勤業務組織',
    		col4: '考勤業務組織Id',
    		col5: '行政組織',
    		col6: '員工關係狀態'
    	},
    	workShiftStrategy: {
    		dayType1: '工作日',
    		dayType2: '休息日',
    		dayType3: '法定假日',
    		msg1: '請選擇行進行操作',
    		msg2: '請選擇要排班的人員!',
    		msg3: '請選擇要排班的員工及日期!',
    		msg4: '請選擇同一個業務組織的員工',
    		msg5: '請勾選要排班的員工!',
    		msg6: '沒有要保存的排班數據，請先排班!',
    		msg7: '排班成功!',
    		msg8: '排班失敗：排班類型 {0},排班方式：{1}',
    		msg9: '排班進行中！請稍等...',
    		title1: '輪班規則',
    		title2: '複製排班',
    		title3: '選擇日期類型和班次',
    		text: '至',
    		label1: '姓名',
    		label2: '考勤日期',
    		label3: '錯誤詳情'
    	},
    	atsHolidayFileHISMultiRow: {
    		msg1: '溫馨提示：新增或修改考勤檔案歷史不會更新已完成的業務數據。如：員工已排班，當修改了檔案歷史的考勤組織，如需將修改後的考勤組織用到排班中，則需要對員工重新排班。',
    		msg2: '档案历史所有字段不能為空!',
    		msg3: '檔案歷史之間的生效日期和失效日期必須連續且不重疊!',
    		msg4: '生效日期不能大於当前日期!',
    		msg5: '档案历史的生效失效时间不能大於前面档案的生效失效时间!',
    		msg6: '檔案歷史之間的生效日期和失效日期不能有重疊!'
    	},
    	attendanceFileHISMultiRow: {
    		msg1: '溫馨提示：新增或修改考勤檔案歷史不會更新已完成的業務數據。如：員工已排班，當修改了檔案歷史的考勤組織，如需將修改後的考勤組織用到排班中，則需要對員工重新排班。',
    		msg2: '档案历史所有字段不能為空!',
    		msg3: '檔案歷史之間的生效日期和失效日期必須連續且不重疊!',
    		msg4: '生效日期不能大於当前日期!',
    		msg5: '档案历史的生效失效时间不能大於前面档案的生效失效时间!',
    		msg6: '檔案歷史之間的生效日期和失效日期不能有重疊!'
    	},
    	dateYearMonthPicker: {
    		year: '年',
    		month: '月'
    	},
    	commonRes:{
    		calendar:"工作日歷"
    	}
    	
    })
})(jQuery);	